Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support.swing
Class SoapUISplitPaneUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.SplitPaneUI
              javax.swing.plaf.basic.BasicSplitPaneUI
                  com.eviware.soapui.support.swing.SoapUISplitPaneUI

    public class SoapUISplitPaneUI

extends javax.swing.plaf.basic.BasicSplitPaneUI

SplitPaneUI that draws nicer buttons and enables/disables them appropriately

Author:
  Ole.Matzura

Nested Class Summary
`class` | `SoapUISplitPaneUI.SoapUIDivider`

Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicSplitPaneUI
`javax.swing.plaf.basic.BasicSplitPaneUI.BasicHorizontalLayoutManager, javax.swing.plaf.basic.BasicSplitPaneUI.BasicVerticalLayoutManager, javax.swing.plaf.basic.BasicSplitPaneUI.FocusHandler, javax.swing.plaf.basic.BasicSplitPaneUI.KeyboardDownRightHandler, javax.swing.plaf.basic.BasicSplitPaneUI.KeyboardEndHandler, javax.swing.plaf.basic.BasicSplitPaneUI.KeyboardHomeHandler, javax.swing.plaf.basic.BasicSplitPaneUI.KeyboardResizeToggleHandler, javax.swing.plaf.basic.BasicSplitPaneUI.KeyboardUpLeftHandler, javax.swing.plaf.basic.BasicSplitPaneUI.PropertyHandler`

Field Summary

Fields inherited from class javax.swing.plaf.basic.BasicSplitPaneUI
`beginDragDividerLocation, divider, dividerResizeToggleKey, dividerSize, downKey, draggingHW, endKey, focusListener, homeKey, KEYBOARD_DIVIDER_MOVE_OFFSET, keyboardDownRightListener, keyboardEndListener, keyboardHomeListener, keyboardResizeToggleListener, keyboardUpLeftListener, layoutManager, leftKey, NON_CONTINUOUS_DIVIDER, nonContinuousLayoutDivider, propertyChangeListener, rightKey, splitPane, upKey`

Constructor Summary
`SoapUISplitPaneUI()`

Method Summary
`javax.swing.plaf.basic.BasicSplitPaneDivider` | `createDefaultDivider()`
`protected void` | `finishDraggingTo(int location)`
`boolean` | `hasBeenDragged()`
`void` | `resetToPreferredSizes(javax.swing.JSplitPane jc)`
`void` | `setDividerLocation(javax.swing.JSplitPane jc, int location)`
`void` | `setHasBeenDragged(boolean hasBeenDragged)`
`void` | `update(java.awt.Graphics g, javax.swing.JComponent c)`

Methods inherited from class javax.swing.plaf.basic.BasicSplitPaneUI
`createDefaultNonContinuousLayoutDivider, createFocusListener, createKeyboardDownRightListener, createKeyboardEndListener, createKeyboardHomeListener, createKeyboardResizeToggleListener, createKeyboardUpLeftListener, createPropertyChangeListener, createUI, dragDividerTo, finishedPaintingChildren, getDivider, getDividerBorderSize, getDividerLocation, getInsets, getLastDragLocation, getMaximumDividerLocation, getMaximumSize, getMinimumDividerLocation, getMinimumSize, getNonContinuousLayoutDivider, getOrientation, getPreferredSize, getSplitPane, installDefaults, installKeyboardActions, installListeners, installUI, isContinuousLayout, paint, resetLayoutManager, setContinuousLayout, setLastDragLocation, setNonContinuousLayoutDivider, setNonContinuousLayoutDivider, setOrientation, startDragging, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoapUISplitPaneUI

    public SoapUISplitPaneUI()

Method Detail

### finishDraggingTo

    protected void finishDraggingTo(int location)

  Overrides:
    `finishDraggingTo` in class `javax.swing.plaf.basic.BasicSplitPaneUI`

### resetToPreferredSizes

    public void resetToPreferredSizes(javax.swing.JSplitPane jc)

  Overrides:
    `resetToPreferredSizes` in class `javax.swing.plaf.basic.BasicSplitPaneUI`

### hasBeenDragged

    public boolean hasBeenDragged()

### setHasBeenDragged

    public void setHasBeenDragged(boolean hasBeenDragged)

### createDefaultDivider

    public javax.swing.plaf.basic.BasicSplitPaneDivider createDefaultDivider()

  Overrides:
    `createDefaultDivider` in class `javax.swing.plaf.basic.BasicSplitPaneUI`

### setDividerLocation

    public void setDividerLocation(javax.swing.JSplitPane jc,
                                   int location)

  Overrides:
    `setDividerLocation` in class `javax.swing.plaf.basic.BasicSplitPaneUI`

### update

    public void update(java.awt.Graphics g,
                       javax.swing.JComponent c)

  Overrides:
    `update` in class `javax.swing.plaf.ComponentUI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.